<?php  

if( defined( 'FOR_XOOPS_LANG_CHECKER' ) ) $mydirname = 'protector' ;


$constpref = '_MI_' . strtoupper( $mydirname);

if ( defined( 'FOR_XOOPS_LANG_CHECKER' ) || ! defined( $constpref.'_LOADED' ) ) {

define( $constpref.'_LOADED' , 1);


// El nombre de este módulo
define($constpref."_NAME","Protector");



// Una breve descripción de este módulo
define($constpref."_DESC","Este módulo protege su sitio de varios ataques como DoS, inyección de SQL y variables de contaminación.");

// Menu
define($constpref."_ADMININDEX","Centro de Protección");
define($constpref."_ADVISORY","Asesor de seguridad");
define($constpref."_PREFIXMANAGER","Administrador de Prefijo");
define($constpref.'_ADMENU_MYBLOCKSADMIN','Permisos');


// Configuraciónes
define($constpref.'_GLOBAL_DISBL','Desactivado Temporalmente');

define($constpref.'_GLOBAL_DISBLDSC','Todas las protecciones están deshabilitadas en temporal.<br />No se olvide de desactivar después de detectar el problema');

define($constpref.'_DEFAULT_LANG','Idioma Predeterminado');
define($constpref.'_DEFAULT_LANGDSC','Especificar el idioma configurado para mostrar los mensajes antes del procesamiento de common.php');

define($constpref.'_RELIABLE_IPS','IPs Confiables');
define($constpref.'_RELIABLE_IPSDSC','configurar IPs que se puede confiar separadas con | . ^ coincide con la cabeza de cadena, $ coincide con la cola de cadena.');

define($constpref.'_LOG_LEVEL','Nivel de Acceso');
define($constpref.'_LOG_LEVELDSC','');

define($constpref.'_BANIP_TIME0','Tiempo de suspensión para IP Baneada (seg)');

define($constpref.'_LOGLEVEL0','ninguno');
define($constpref.'_LOGLEVEL15','Silencioso');
define($constpref.'_LOGLEVEL63','silencioso');
define($constpref.'_LOGLEVEL255','completo');

define($constpref.'_HIJACK_TOPBIT','Protected IP bits for the session');
define($constpref.'_HIJACK_TOPBITDSC','Lucha contra el Secuestro de sesiones:<br />Por defecto 24/56 (netmask para IPV4/IPV6). (Todos los bits están protegidos)<br />Cuando su IP no es estable, ponga el rango de direcciones IP por número de los bits.<br />(eg)Si su IP se puede mover en el rango de 192.168.0.0-192.168.0.255, establezca 24(bit) aquí');
define($constpref.'_HIJACK_DENYGP','Groups disallowed IP moving in a session');

define($constpref.'_HIJACK_DENYGPDSC','Anti Secuestro de Seción:<br />Seleccione los grupos que no tienen permitido mover su IP en una seción.<br />(Recomiendo activar Administrador.)');
define($constpref.'_SAN_NULLBYTE','Desinfección de bytes nulos');

define($constpref.'_SAN_NULLBYTEDSC','El carácter de terminación"\\0" se utiliza a menudo en ataques maliciosos.<br />un byte nulo se cambiará por un espacio.<br />(Es muy recomendable que este Activo)');
define($constpref.'_DIE_NULLBYTE','Exit if null bytes are found');

define($constpref.'_DIE_NULLBYTEDSC','El caracter de terminación "\\0" se utiliza a menudo en ataques maliciosos.<br />(es muy recomendable que esté Activo)');
define($constpref.'_DIE_BADEXT','Exit if bad files are uploaded');
define($constpref.'_DIE_BADEXTDSC','Si alguien trata de subir archivos que tienen extensiones malas como .php, este módulo cierra XOOPS.<br />If you often attach php files into B-Wiki or PukiWikiMod, turn this off.');
define($constpref.'_CONTAMI_ACTION','Acción al detectar una contaminación');

define($constpref.'_CONTAMI_ACTIONDS','Seleccione la acción cuando alguien intenta contaminar variables globales del sistema en sus XOOPS.<br />(la opción recomendada es pantalla en blanco)');
define($constpref.'_ISOCOM_ACTION','Acción al detectar un comentario aislado');
define($constpref.'_ISOCOM_ACTIONDSC','Anti inyección SQL:<br />Seleccione la acción se encuentra un "/*" aislado.<br />"Desinfectar" significa añadir otro "*/" al final.<br />(la opción recomendada es Desinfectar)');
define($constpref.'_UNION_ACTION','Acción si se encuentra una UNION');
define($constpref.'_UNION_ACTIONDSC','Anti Inyección SQL:<br />Seleccione la acción cuando alguna sintaxis como UNION de SQL.<br />"Desinfectar" significa cambiar "union" por "uni-on".<br />(la opción recomendada es Desinfectar)');
define($constpref.'_ID_INTVAL','Forzar intervalo a variables como id');

define($constpref.'_ID_INTVALDSC','Todas las solicitudes con nombre "*id" serán tratados como un enteros.<br />Esta opción te protege contra algunos ataques XSS e inyecciones SQL.<br />Aunque recomiendo activar esta opción, puede causar problemas con algunos módulos.');
define($constpref.'_FILE_DOTDOT','Protección contra Directorios Transversales');

define($constpref.'_FILE_DOTDOTDSC','Esto elimina ".." de todas las solicitudes que parezcan Directorios Transversales');

define($constpref.'_BF_COUNT','Anti Fuerza Bruta');

define($constpref.'_BF_COUNTDSC','Establecerlo le permite contar los intentos para iniciar sesión dentro de 10 minutos. Si alguien falla al ingresar más de este número, su IP será baneada. ');

define($constpref.'_BWLIMIT_COUNT','Límite de Ancho de Banda');

define($constpref.'_BWLIMIT_COUNTDSC','Especifique el acceso máximo a mainfile.php durante el tiempo de observación. Este valor debe ser 0 para ambientes normales que tienen suficiente ancho de banda del CPU. Se ignorará un número menor de 10.');

define($constpref.'_DOS_SKIPMODS','Módulos fuera del verificador DoS/Crawler');

define($constpref.'_DOS_SKIPMODSDSC','establecer los nombres de directório de los módulos separados por |. Esta opción es útil para el módulo chat etc.');

define($constpref.'_DOS_EXPIRE','Vigilar el tiempo para cargas (seg)');

define($constpref.'_DOS_EXPIREDSC','Este valor especifica el tiempo de vigilancia para la recarga de alta frecuencia (ataque F5) y crawlers de subidas.');

define($constpref.'_DOS_F5COUNT','Conteos malos para Ataque F5');

define($constpref.'_DOS_F5COUNTDSC','Prevenir ataques DoS.<br />Este valor especifica el conteo de recarga para ser considerado como un ataque malicioso.');
define($constpref.'_DOS_F5ACTION','Acción contra Ataque F5');

define($constpref.'_DOS_CRCOUNT','Conteos malos para Rastreadores');

define($constpref.'_DOS_CRCOUNTDSC','Prevención de los rastreadores de alta carga.<br />Este valor especifica el conteo de acceso que deben considerarse como una mala manera de rastreador.');
define($constpref.'_DOS_CRACTION','Acción contra subida de Rastreadores');

define($constpref.'_DOS_CRSAFE','Bienvenido User-Agent');
define($constpref.'_DOS_CRSAFEDSC','Un patrón de expresiones regulares de perl para User-Agent.<br />Si coincide, el rastreador no se considera como un rastreador de alta carga.<br />eg) /(bingbot|Googlebot|Yahoo! Slurp)/i');

define($constpref.'_OPT_NONE','None (solo el inicio de sesión)');
define($constpref.'_OPT_SAN','Desinfectar');
define($constpref.'_OPT_EXIT','Pantalla en Blanco');
define($constpref.'_OPT_BIP','Ban the IP (Sin Límite)');
define($constpref.'_OPT_BIPTIME0','Banear la IP (moratorium)');

define($constpref.'_DOSOPT_NONE','Ninguno (solo iniciando sesión)');
define($constpref.'_DOSOPT_SLEEP','Dormir');
define($constpref.'_DOSOPT_EXIT','Pantalla en Blanco');
define($constpref.'_DOSOPT_BIP','Banear la IP (Sin límite)');
define($constpref.'_DOSOPT_BIPTIME0','Banear la IP (moratorium)');
define($constpref.'_DOSOPT_HTA','DENEGAR por .htaccess(Experimental)');

define($constpref.'_BIP_EXCEPT','Grupos que nunca se registrarán como IPs malas');

define($constpref.'_BIP_EXCEPTDSC','Un usuario que pertenece al grupo especificado aquí jamás será bloqueado.<br />(Le Recomiendo activar al Grupo de Administradores.)');

define($constpref.'_DISABLES','Desactivar características peligrosas en XOOPS');

define($constpref.'_DBLAYERTRAP','Activar la capa de captura de BD Inyección anti-SQL');

define($constpref.'_DBLAYERTRAPDSC','Los ataques de inyección SQL Casi serán cancelados por esta característica. Esta característica requiere un apoyo de DatabaseFactory. Puede comprobarlo en la página Asesor de Seguridad. Este ajuste debe estar encendido. Nunca desactivarla casualmente.');
define($constpref.'_DBTRAPWOSRV','Nunca verificar el _SERVER por inyección anti-SQL');

define($constpref.'_DBTRAPWOSRVDSC','Algunos servidores siempre permiten la captura de la capa de BD. Esto causas detecciones erróneas como ataque de inyección SQL. Si tiene este tipo de errores, active esta opción. Debe saber que esta opción debilita la seguridad del DB Layer trapping anti-Inyección SQL.');

define($constpref.'_BIGUMBRELLA','activar anti-XSS (BigUmbrella)');

define($constpref.'_BIGUMBRELLADSC','Esto le proteje de de casi cualquier ataque vía vulnerabilidades XSS. Pero no al 100%');

define($constpref.'_SPAMURI4U','anti-SPAM: URLs para usuarios normales');

define($constpref.'_SPAMURI4UDSC','Si este número de URLs son encontrados en datos de MENSAJE de usuarios que no sean admin, el MENSAJE es considerado como SPAM. 0 significa desactivar esta característica.');
define($constpref.'_SPAMURI4G','anti-SPAM: URLs para Invitados');

define($constpref.'_SPAMURI4GDSC','Si este número de URLs se encuentra en los datos del MENSAJE enviado por Invitados, el MENSAJE es considerado como SPAM. 0 significa desactivar esta característica.');

//3.40b
define($constpref."_ADMINHOME","Inicio");
define($constpref."_ADMINABOUT","A Cerca de");
//3.50
define($constpref.'_STOPFORUMSPAM_ACTION','Stop Forum Spam');
define($constpref.'_STOPFORUMSPAM_ACTIONDSC','Revisa datos del MENSAJE contra spammers registrados en www.stopforumspam.com database. Require la librería php CURL.');
}
